<div class="centrado padding">
    <section class="menu">
        <app-plato-uno class="platos"></app-plato-uno>
        <app-plato-dos class="platos"></app-plato-dos> 
        <app-plato-tres class="platos"></app-plato-tres>
        <app-plato-cuatro class="platos"></app-plato-cuatro>    
    </section>
</div>

<div class="centrado padding" style="justify-content:center;" >
    <button class="responsive" color="accent" mat-raised-button (click)="openModalSearch()">Agregar Plato</button>  
</div>

<section class="centrado display">
    <mat-card class="centrado matCard">
        <mat-card-subtitle>
            Total
        </mat-card-subtitle>
        <mat-card-content>
            <p>Precio: ${{precioTotal}}</p>
            <p *ngIf="promedioPreparacion" >Preparacion: {{promedioPreparacion}} min</p>
            <p *ngIf="healthScoreTotal" >Health Score: {{healthScoreTotal}}%</p>
        </mat-card-content>    
    </mat-card>
</section>

<section class="centrado displayMediaQ">
    <mat-card>
        <mat-expansion-panel hideToggle>
            <mat-expansion-panel-header>
                <mat-panel-title>
                    Total
                    <mat-icon>expand_more</mat-icon>
                </mat-panel-title>          
            </mat-expansion-panel-header>

        <mat-card-content>
            <p>Precio Total: ${{precioTotal}}</p>
            <p *ngIf="promedioPreparacion" >Preparacion: {{promedioPreparacion}} min</p>
            <p *ngIf="healthScoreTotal" >Health Score: {{healthScoreTotal}}%</p>
        </mat-card-content>    
    </mat-expansion-panel>

    </mat-card>
</section>
